=== modified file 'AUTHORS'
--- AUTHORS	2008-07-07 22:26:54 +0000
+++ AUTHORS	2008-07-15 08:32:54 +0000
@@ -1,10 +1,12 @@
-Michael Widenius, original author
-David Axmark
-MySQL AB/Sun Microsystems Inc. 
 Brian Aker
 Mark Atwood
 Patrick Galbraith
+Toru Maesaka
+Elliot Murphy
+Jay Pipes
 Stewart Smith
-Jay Pipes
 Monty Taylor
-Elliot Murphy
+-- 
+All code descends from the work by Michael Widenius and David Axmark the original authors.
+Many others from MySQL AB have participated in the creation of this as well,
+Please see "SHOW AUTHORS" in MySQL 5.1 for a complete list of names. 

=== modified file 'server/drizzled.cc'
--- server/drizzled.cc	2008-07-16 18:48:24 +0000
+++ server/drizzled.cc	2008-07-17 21:07:09 +0000
@@ -288,7 +288,6 @@
   check them before each query (and possibly reset counters when hour is
   changed). False otherwise.
 */
-volatile bool mqh_used = 0;
 bool opt_noacl;
 
 ulong opt_binlog_rows_event_max_size;
@@ -4269,7 +4268,6 @@
   opt_secure_auth= 0;
   opt_secure_file_priv= 0;
   opt_bootstrap= opt_myisam_log= 0;
-  mqh_used= 0;
   segfaulted= kill_in_progress= 0;
   cleanup_done= 0;
   defaults_argc= 0;

=== modified file 'server/item_cmpfunc.cc'
--- server/item_cmpfunc.cc	2008-07-15 06:45:16 +0000
+++ server/item_cmpfunc.cc	2008-07-15 08:45:33 +0000
@@ -483,24 +483,22 @@
   }
 
   thd= current_thd;
-  if (!thd->is_context_analysis_only())
+
+  if (args[0]->real_item()->type() == FIELD_ITEM)
   {
-    if (args[0]->real_item()->type() == FIELD_ITEM)
+    Item_field *field_item= (Item_field*) (args[0]->real_item());
+    if (field_item->field->can_be_compared_as_int64_t() &&
+        !(field_item->is_datetime() && args[1]->result_type() == STRING_RESULT))
     {
-      Item_field *field_item= (Item_field*) (args[0]->real_item());
-      if (field_item->field->can_be_compared_as_int64_t() &&
-          !(field_item->is_datetime() &&
-            args[1]->result_type() == STRING_RESULT))
+      if (convert_constant_item(thd, field_item, &args[1]))
       {
-        if (convert_constant_item(thd, field_item, &args[1]))
-        {
-          cmp.set_cmp_func(this, tmp_arg, tmp_arg+1,
-                           INT_RESULT);		// Works for all types.
-          args[0]->cmp_context= args[1]->cmp_context= INT_RESULT;
-          return;
-        }
+        cmp.set_cmp_func(this, tmp_arg, tmp_arg+1,
+                         INT_RESULT);		// Works for all types.
+        args[0]->cmp_context= args[1]->cmp_context= INT_RESULT;
+        return;
       }
     }
+
     if (args[1]->real_item()->type() == FIELD_ITEM)
     {
       Item_field *field_item= (Item_field*) (args[1]->real_item());

=== modified file 'server/item_subselect.cc'
--- server/item_subselect.cc	2008-07-13 22:45:08 +0000
+++ server/item_subselect.cc	2008-07-15 08:45:33 +0000
@@ -1706,9 +1706,6 @@
   if (exec_method == SEMI_JOIN)
     return !( (*ref)= new Item_int(1));
 
-  if (thd_arg->lex->view_prepare_mode && left_expr && !left_expr->fixed)
-    result = left_expr->fix_fields(thd_arg, &left_expr);
-
   return result || Item_subselect::fix_fields(thd_arg, ref);
 }
 

=== modified file 'server/mysql_priv.h'
--- server/mysql_priv.h	2008-07-15 00:27:12 +0000
+++ server/mysql_priv.h	2008-07-17 21:07:09 +0000
@@ -866,8 +866,6 @@
 	       bool check_count);
 pthread_handler_t handle_one_connection(void *arg);
 bool init_new_connection_handler_thread();
-void reset_mqh(LEX_USER *lu, bool get_them);
-bool check_mqh(THD *thd, uint check_command);
 void time_out_user_resource_limits(THD *thd, USER_CONN *uc);
 void decrease_user_connections(USER_CONN *uc);
 void thd_init_client_charset(THD *thd, uint cs_number);
@@ -1320,10 +1318,8 @@
                                       bool allow_sum_func)
 {
   bool res;
-  thd->lex->select_lex.no_wrap_view_item= true;
   res= setup_fields(thd, ref_pointer_array, item, mark_used_columns, sum_func_list,
                     allow_sum_func);
-  thd->lex->select_lex.no_wrap_view_item= false;
   return res;
 }
 int setup_conds(THD *thd, TABLE_LIST *tables, TABLE_LIST *leaves,

=== modified file 'server/sql_base.cc'
--- server/sql_base.cc	2008-07-13 22:45:08 +0000
+++ server/sql_base.cc	2008-07-15 08:32:54 +0000
@@ -5195,11 +5195,6 @@
         goto err;                               // out of memory
 
       /*
-        The following assert checks that the two created items are of
-        type Item_ident.
-      */
-      assert(!thd->lex->current_select->no_wrap_view_item);
-      /*
         In the case of no_wrap_view_item == 0, the created items must be
         of sub-classes of Item_ident.
       */

=== modified file 'server/sql_class.h'
--- server/sql_class.h	2008-07-15 06:45:16 +0000
+++ server/sql_class.h	2008-07-15 08:45:33 +0000
@@ -1787,8 +1787,6 @@
     return (abort_on_warning);
   }
   void set_status_var_init();
-  bool is_context_analysis_only()
-    { return lex->view_prepare_mode; }
   void reset_n_backup_open_tables_state(Open_tables_state *backup);
   void restore_backup_open_tables_state(Open_tables_state *backup);
   void restore_sub_statement_state(Sub_statement_state *backup);

=== modified file 'server/sql_delete.cc'
--- server/sql_delete.cc	2008-07-15 06:45:16 +0000
+++ server/sql_delete.cc	2008-07-15 08:06:23 +0000
@@ -370,7 +370,6 @@
 */
 int mysql_prepare_delete(THD *thd, TABLE_LIST *table_list, Item **conds)
 {
-  Item *fake_conds= 0;
   SELECT_LEX *select_lex= &thd->lex->select_lex;
   
   List<Item> all_fields;
@@ -408,7 +407,6 @@
     fix_inner_refs(thd, all_fields, select_lex, select_lex->ref_pointer_array))
     return(-1);
 
-  select_lex->fix_prepare_information(thd, conds, &fake_conds);
   return(false);
 }
 

=== modified file 'server/sql_insert.cc'
--- server/sql_insert.cc	2008-07-15 06:45:16 +0000
+++ server/sql_insert.cc	2008-07-15 08:32:54 +0000
@@ -98,7 +98,6 @@
     }
 
     thd->dup_field= 0;
-    select_lex->no_wrap_view_item= true;
 
     /* Save the state of the current name resolution context. */
     ctx_state.save_state(context, table_list);
@@ -113,7 +112,6 @@
 
     /* Restore the current context. */
     ctx_state.restore_state(context, table_list);
-    thd->lex->select_lex.no_wrap_view_item= false;
 
     if (res)
       return -1;
@@ -721,9 +719,7 @@
 
     if (!res && duplic == DUP_UPDATE)
     {
-      select_lex->no_wrap_view_item= true;
       res= check_update_fields(thd, context->table_list, update_fields, &map);
-      select_lex->no_wrap_view_item= false;
     }
 
     /* Restore the current context. */
@@ -741,14 +737,12 @@
 
   if (!select_insert)
   {
-    Item *fake_conds= 0;
     TABLE_LIST *duplicate;
     if ((duplicate= unique_table(thd, table_list, table_list->next_global, 1)))
     {
       update_non_unique_table_error(table_list, "INSERT", duplicate);
       return(true);
     }
-    select_lex->fix_prepare_information(thd, &fake_conds, &fake_conds);
     select_lex->first_execution= 0;
   }
   if (duplic == DUP_UPDATE || duplic == DUP_REPLACE)
@@ -1199,10 +1193,8 @@
     table_list->next_local= 0;
     context->resolve_in_table_list_only(table_list);
 
-    lex->select_lex.no_wrap_view_item= true;
     res= res || check_update_fields(thd, context->table_list,
                                     *info.update_fields, &map);
-    lex->select_lex.no_wrap_view_item= false;
     /*
       When we are not using GROUP BY and there are no ungrouped aggregate functions 
       we can refer to other tables in the ON DUPLICATE KEY part.

=== modified file 'server/sql_lex.cc'
--- server/sql_lex.cc	2008-07-13 22:45:08 +0000
+++ server/sql_lex.cc	2008-07-17 21:07:09 +0000
@@ -139,7 +139,6 @@
   next_state(MY_LEX_START),
   found_semicolon(NULL),
   ignore_space(1),
-  stmt_prepare_mode(false),
   in_comment(NO_COMMENT),
   m_underscore_cs(NULL)
 {
@@ -299,7 +298,6 @@
   lex->value_list.empty();
   lex->update_list.empty();
   lex->param_list.empty();
-  lex->view_list.empty();
   lex->auxiliary_table_list.empty();
   lex->unit.next= lex->unit.master=
     lex->unit.link_next= lex->unit.return_to= 0;
@@ -830,17 +828,6 @@
         */
         lip->restart_token();
       }
-      else
-      {
-        /*
-          Check for a placeholder: it should not precede a possible identifier
-          because of binlogging: when a placeholder is replaced with
-          its value in a query for the binlog, the query must stay
-          grammatically correct.
-        */
-        if (c == '?' && lip->stmt_prepare_mode && !ident_map[(uint8_t)(lip->yyPeek())])
-        return(PARAM_MARKER);
-      }
 
       return((int) c);
 
@@ -1358,8 +1345,7 @@
     case MY_LEX_SEMICOLON:			// optional line terminator
       if (lip->yyPeek())
       {
-        if ((thd->client_capabilities & CLIENT_MULTI_STATEMENTS) && 
-            !lip->stmt_prepare_mode)
+        if ((thd->client_capabilities & CLIENT_MULTI_STATEMENTS))
         {
           lip->found_semicolon= lip->get_ptr();
           thd->server_status|= SERVER_MORE_RESULTS_EXISTS;
@@ -1577,7 +1563,7 @@
   embedding= leaf_tables= 0;
   item_list.empty();
   join= 0;
-  having= prep_having= where= prep_where= 0;
+  having= where= 0;
   olap= UNSPECIFIED_OLAP_TYPE;
   having_fix_field= 0;
   context.select_lex= this;
@@ -1603,7 +1589,7 @@
   first_execution= 1;
   first_cond_optimization= 1;
   parsing_place= NO_MATTER;
-  exclude_from_table_unique_test= no_wrap_view_item= false;
+  exclude_from_table_unique_test= false;
   nest_level= 0;
   link_next= 0;
 }
@@ -2674,45 +2660,6 @@
 
 
 /*
-  Save WHERE/HAVING/ON clauses and replace them with disposable copies
-
-  SYNOPSIS
-    st_select_lex::fix_prepare_information
-      thd          thread handler
-      conds        in/out pointer to WHERE condition to be met at execution
-      having_conds in/out pointer to HAVING condition to be met at execution
-  
-  DESCRIPTION
-    The passed WHERE and HAVING are to be saved for the future executions.
-    This function saves it, and returns a copy which can be thrashed during
-    this execution of the statement. By saving/thrashing here we mean only
-    AND/OR trees.
-    The function also calls fix_prepare_info_in_table_list that saves all
-    ON expressions.    
-*/
-
-void st_select_lex::fix_prepare_information(THD *thd, Item **conds, 
-                                            Item **having_conds)
-{
-  if (thd->stmt_arena->is_conventional() == false && first_execution)
-  {
-    first_execution= 0;
-    if (*conds)
-    {
-      prep_where= *conds;
-      *conds= where= prep_where->copy_andor_structure(thd);
-    }
-    if (*having_conds)
-    {
-      prep_having= *having_conds;
-      *having_conds= having= prep_having->copy_andor_structure(thd);
-    }
-    fix_prepare_info_in_table_list(thd, (TABLE_LIST *)table_list.first);
-  }
-}
-
-
-/*
   There are st_select_lex::add_table_to_list &
   st_select_lex::set_lock_for_tables are in sql_parse.cc
 

=== modified file 'server/sql_lex.h'
--- server/sql_lex.h	2008-07-13 22:21:51 +0000
+++ server/sql_lex.h	2008-07-17 21:07:09 +0000
@@ -615,8 +615,6 @@
   */
   bool first_execution;
   bool first_cond_optimization;
-  /* do not wrap view fields with Item_ref */
-  bool no_wrap_view_item;
   /* exclude this select from check of unique_table() */
   bool exclude_from_table_unique_test;
   /* List of fields that aren't under an aggregate function */
@@ -1368,12 +1366,6 @@
   /** SQL_MODE = IGNORE_SPACE. */
   bool ignore_space;
 
-  /**
-    true if we're parsing a prepared statement: in this mode
-    we should allow placeholders and disallow multi-statements.
-  */
-  bool stmt_prepare_mode;
-
   /** State of the lexical analyser for comments. */
   enum_comment_state in_comment;
 
@@ -1416,7 +1408,6 @@
   char *length,*dec,*change;
   LEX_STRING name;
   char *help_arg;
-  LEX_STRING backup_dir;				/* For RESTORE/BACKUP */
   char* to_log;                                 /* For PURGE MASTER LOGS TO */
   char* x509_subject,*x509_issuer,*ssl_cipher;
   String *wild;
@@ -1440,13 +1431,11 @@
   List<Key_part_spec> col_list;
   List<Key_part_spec> ref_list;
   List<String>	      interval_list;
-  List<LEX_USER>      users_list;
   List<LEX_COLUMN>    columns;
   List<Item>	      *insert_list,field_list,value_list,update_list;
   List<List_item>     many_values;
   List<set_var_base>  var_list;
   List<Item_param>    param_list;
-  List<LEX_STRING>    view_list; // view list (list of field names in view)
   /*
     A stack of name resolution contexts for the query. This stack is used
     at parse time to set local name resolution contexts for various parts
@@ -1472,7 +1461,6 @@
   KEY_CREATE_INFO key_create_info;
   LEX_MASTER_INFO mi;				// used by CHANGE MASTER
   LEX_SERVER_OPTIONS server_options;
-  USER_RESOURCES mqh;
   ulong type;
   /*
     This variable is used in post-parse stage to declare that sum-functions,
@@ -1531,14 +1519,6 @@
   bool verbose, no_write_to_binlog;
 
   bool tx_chain, tx_release;
-  /*
-    Special JOIN::prepare mode: changing of query is prohibited.
-    When creating a view, we need to just check its syntax omitting
-    any optimizations: afterwards definition of the view will be
-    reconstructed by means of ::print() methods and written to
-    to an .frm file. We need this definition to stay untouched.
-  */
-  bool view_prepare_mode;
   bool subqueries, ignore;
   st_parsing_options parsing_options;
   Alter_info alter_info;

=== modified file 'server/sql_select.cc'
--- server/sql_select.cc	2008-07-15 19:53:56 +0000
+++ server/sql_select.cc	2008-07-15 08:45:33 +0000
@@ -517,7 +517,6 @@
     thd->lex->allow_sum_func= save_allow_sum_func;
   }
 
-  if (!thd->lex->view_prepare_mode)
   {
     Item_subselect *subselect;
     Item_in_subselect *in_subs= NULL;
@@ -632,15 +631,12 @@
         if ((trans_res= subselect->select_transformer(this)) !=
             Item_subselect::RES_OK)
         {
-          select_lex->fix_prepare_information(thd, &conds, &having);
           return((trans_res == Item_subselect::RES_ERROR));
         }
       }
     }
   }
 
-  select_lex->fix_prepare_information(thd, &conds, &having);
-
   if (order)
   {
     ORDER *ord;
@@ -1282,8 +1278,6 @@
     /* Convert all outer joins to inner joins if possible */
     conds= simplify_joins(this, join_list, conds, true, false);
     build_bitmap_for_nested_joins(join_list, 0);
-
-    sel->prep_where= conds ? conds->copy_andor_structure(thd) : 0;
   }
 
   conds= optimize_cond(this, conds, join_list, &cond_value);   

=== modified file 'server/sql_update.cc'
--- server/sql_update.cc	2008-07-13 22:21:51 +0000
+++ server/sql_update.cc	2008-07-15 08:06:23 +0000
@@ -758,7 +758,6 @@
 bool mysql_prepare_update(THD *thd, TABLE_LIST *table_list,
 			 Item **conds, uint order_num, ORDER *order)
 {
-  Item *fake_conds= 0;
   List<Item> all_fields;
   SELECT_LEX *select_lex= &thd->lex->select_lex;
   
@@ -799,7 +798,7 @@
       return(true);
     }
   }
-  select_lex->fix_prepare_information(thd, conds, &fake_conds);
+
   return(false);
 }
 

=== modified file 'server/sql_yacc.yy'
--- server/sql_yacc.yy	2008-07-16 18:48:24 +0000
+++ server/sql_yacc.yy	2008-07-17 21:07:09 +0000
@@ -971,7 +971,6 @@
         predicate bit_expr
         table_wild simple_expr udf_expr
         expr_or_default set_expr_or_default
-        param_marker 
         signed_literal now_or_signed_literal opt_escape
         simple_ident_nospvar simple_ident_q
         field_or_var limit_option
@@ -3470,7 +3469,6 @@
             $$= new (thd->mem_root) Item_func_set_collation($1, i1);
           }
         | literal
-        | param_marker
         | variable
         | sum_expr
         | '+' simple_expr %prec NEG { $$= $2; }
@@ -4898,11 +4896,7 @@
         ;
 
 limit_option:
-        param_marker
-        {
-          ((Item_param *) $1)->limit_clause_param= true;
-        }
-        | ULONGLONG_NUM { $$= new Item_uint($1.str, $1.length); }
+          ULONGLONG_NUM { $$= new Item_uint($1.str, $1.length); }
         | LONG_NUM      { $$= new Item_uint($1.str, $1.length); }
         | NUM           { $$= new Item_uint($1.str, $1.length); }
         ;
@@ -6054,27 +6048,6 @@
           }
         ;
 
-param_marker:
-          PARAM_MARKER
-          {
-            THD *thd= YYTHD;
-            LEX *lex= thd->lex;
-            Lex_input_stream *lip= thd->m_lip;
-            Item_param *item;
-            if (! lex->parsing_options.allows_variable)
-            {
-              my_error(ER_VIEW_SELECT_VARIABLE, MYF(0));
-              MYSQL_YYABORT;
-            }
-            item= new Item_param((uint) (lip->get_tok_start() - thd->query));
-            if (!($$= item) || lex->param_list.push_back(item))
-            {
-              my_message(ER_OUT_OF_RESOURCES, ER(ER_OUT_OF_RESOURCES), MYF(0));
-              MYSQL_YYABORT;
-            }
-          }
-        ;
-
 signed_literal:
           literal { $$ = $1; }
         | '+' NUM_literal { $$ = $2; }

